edu.northwestern.at.morphadorner.tools

## Class AdornedXMLWriter.AdornedXMLOutputProcessor

- java.lang.Object
- - org.jdom2.output.support.AbstractOutputProcessor
  - - org.jdom2.output.support.AbstractXMLOutputProcessor
    - - edu.northwestern.at.morphadorner.tools.AdornedXMLWriter.AdornedXMLOutputProcessor

- All Implemented Interfaces:
    org.jdom2.output.support.XMLOutputProcessor
  Enclosing class:
    AdornedXMLWriter

      public class AdornedXMLWriter.AdornedXMLOutputProcessor
      extends org.jdom2.output.support.AbstractXMLOutputProcessor

  XML Output Processor that handles "" elements specially.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.jdom2.output.Format` | `outputFormat` Output format for XML.

    - ### Fields inherited from class org.jdom2.output.support.AbstractXMLOutputProcessor

      `CDATAPOST, CDATAPRE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdornedXMLWriter.AdornedXMLOutputProcessor(org.jdom2.output.Format format)` Create XML outputter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `printElement(java.io.Writer out, org.jdom2.output.support.FormatStack fstack, org.jdom2.util.NamespaceStack nstack, org.jdom2.Element element)` Print an XML element.

    - ### Methods inherited from class org.jdom2.output.support.AbstractXMLOutputProcessor

      `attributeEscapedEntitiesFilter, printAttribute, printCDATA, printComment, printContent, printDeclaration, printDocType, printDocument, printEntityRef, printNamespace, printProcessingInstruction, printText, process, process, process, process, process, process, process, process, process, textCDATA, textEntityRef, textRaw, textRaw, write, write`

    - ### Methods inherited from class org.jdom2.output.support.AbstractOutputProcessor

      `buildWalker`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### outputFormat

          protected org.jdom2.output.Format outputFormat

      Output format for XML.

  - ### Constructor Detail

    - #### AdornedXMLWriter.AdornedXMLOutputProcessor

          public AdornedXMLWriter.AdornedXMLOutputProcessor(org.jdom2.output.Format format)

      Create XML outputter.
      Parameters:
        `format` - The output format.

  - ### Method Detail

    - #### printElement

          protected void printElement(java.io.Writer out,
                          org.jdom2.output.support.FormatStack fstack,
                          org.jdom2.util.NamespaceStack nstack,
                          org.jdom2.Element element)
                               throws java.io.IOException

      Print an XML element.
      Overrides:
        `printElement` in class `org.jdom2.output.support.AbstractXMLOutputProcessor`
      Parameters:
        `out` - The output writer.
        `fstack` - The format stack.
        `nstack` - The namespace stack.
        `element` - The XML element to print.
      Throws:
        `java.io.IOException` - when an I/O exception occurs.